Package com.microblink.blinkid.entities.recognizers.blinkid.usdl

# Class UsdlCombinedRecognizer.VerificationConstants

java.lang.Object
com.microblink.blinkid.entities.recognizers.blinkid.usdl.UsdlCombinedRecognizer.VerificationConstants

Enclosing class:
  UsdlCombinedRecognizer

public static final class UsdlCombinedRecognizer.VerificationConstants extends Object
Constants used for building JSON for the verification service, in case when result fields can be edited and/or inserted. Constants are used to match edited/inserted fields with the original fields.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `Address`
  `static final String`
  `DateOfBirth`
  `static final String`
  `DateOfExpiry`
  `static final String`
  `DateOfIssue`
  `static final String`
  `DocumentDataMatch`
  `static final String`
  `DocumentNumber`
  `static final String`
  `EncodedFaceImage`
  `static final String`
  `EncodedFullDocumentImage`
  `static final String`
  `Endorsements`
  `static final String`
  `FaceImage`
  `static final String`
  `FirstName`
  `static final String`
  `FullDocumentImage`
  `static final String`
  `FullName`
  `static final String`
  `LastName`
  `static final String`
  `MiddleName`
  `static final String`
  `NameSuffix`
  `static final String`
  `RawData`
  `static final String`
  `RawStringData`
  `static final String`
  `Restrictions`
  `static final String`
  `ScanningFirstSideDone`
  `static final String`
  `Sex`
  `static final String`
  `Uncertain`
  `static final String`
  `VehicleClass`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VerificationConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DocumentDataMatch

    public static final String DocumentDataMatch
    See Also:
      - Constant Field Values

  - ### LastName

    public static final String LastName
    See Also:
      - Constant Field Values

  - ### DateOfExpiry

    public static final String DateOfExpiry
    See Also:
      - Constant Field Values

  - ### Address

    public static final String Address
    See Also:
      - Constant Field Values

  - ### DocumentNumber

    public static final String DocumentNumber
    See Also:
      - Constant Field Values

  - ### Sex

    public static final String Sex
    See Also:
      - Constant Field Values

  - ### EncodedFullDocumentImage

    public static final String EncodedFullDocumentImage
    See Also:
      - Constant Field Values

  - ### FullName

    public static final String FullName
    See Also:
      - Constant Field Values

  - ### NameSuffix

    public static final String NameSuffix
    See Also:
      - Constant Field Values

  - ### Restrictions

    public static final String Restrictions
    See Also:
      - Constant Field Values

  - ### EncodedFaceImage

    public static final String EncodedFaceImage
    See Also:
      - Constant Field Values

  - ### DateOfBirth

    public static final String DateOfBirth
    See Also:
      - Constant Field Values

  - ### RawData

    public static final String RawData
    See Also:
      - Constant Field Values

  - ### DateOfIssue

    public static final String DateOfIssue
    See Also:
      - Constant Field Values

  - ### FaceImage

    public static final String FaceImage
    See Also:
      - Constant Field Values

  - ### Uncertain

    public static final String Uncertain
    See Also:
      - Constant Field Values

  - ### FirstName

    public static final String FirstName
    See Also:
      - Constant Field Values

  - ### FullDocumentImage

    public static final String FullDocumentImage
    See Also:
      - Constant Field Values

  - ### ScanningFirstSideDone

    public static final String ScanningFirstSideDone
    See Also:
      - Constant Field Values

  - ### Endorsements

    public static final String Endorsements
    See Also:
      - Constant Field Values

  - ### VehicleClass

    public static final String VehicleClass
    See Also:
      - Constant Field Values

  - ### MiddleName

    public static final String MiddleName
    See Also:
      - Constant Field Values

  - ### RawStringData

    public static final String RawStringData
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VerificationConstants

    public VerificationConstants()